osl::eval::ml::King25EffectY Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::King25EffectY Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::King25EffectY:
[legend]

## Public Types
enum | { DIM = 17 * 128 * 2 * 9 }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static int | eval (const NumEffectState &state, int black_attack_effect, int black_attack_piece, int white_attack_effect, int white_attack_piece, int black_defense_effect, int black_defense_piece, int white_defense_effect, int white_defense_piece)

## Static Private Member Functions
static int | index (int king_y, int effect, int piece_count)

## Static Private Attributes
static CArray< int, DIM/2 > | attack_table
static CArray< int, DIM/2 > | defense_table

## Detailed Description

Definition at line 290 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 293 of file kingTable.h.

## Member Function Documentation

static int osl::eval::ml::King25EffectY::eval | ( | const NumEffectState & | state,
|  | int | black_attack_effect,
|  | int | black_attack_piece,
|  | int | white_attack_effect,
|  | int | white_attack_piece,
|  | int | black_defense_effect,
|  | int | black_defense_piece,
|  | int | white_defense_effect,
|  | int | white_defense_piece
| ) |  |
| inlinestatic

Definition at line 303 of file kingTable.h.

References osl::eval::ml::KingPieceRelative::attack_table, osl::BLACK, osl::eval::ml::KingPieceRelative::defense_table, osl::eval::ml::KingPieceRelative::index(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

static int osl::eval::ml::King25EffectY::index | ( | int | king_y,
|  | int | effect,
|  | int | piece_count
| ) |  |
| inlinestaticprivate

Definition at line 295 of file kingTable.h.

void osl::eval::ml::King25EffectY::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 609 of file kingTable.cc.

References osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< int, osl::eval::ml::King25EffectY::DIM/2 > osl::eval::ml::King25EffectY::attack_table
| staticprivate

Definition at line 299 of file kingTable.h.

osl::misc::CArray< int, osl::eval::ml::King25EffectY::DIM/2 > osl::eval::ml::King25EffectY::defense_table
| staticprivate

Definition at line 300 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc